Bug 1121327 - [RFE] Update to WildFly 8
Summary: [RFE] Update to WildFly 8
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Martin Perina
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks: oVirt_Fedora_22_Support 1217023
TreeView+ depends on / blocked
 
Reported: 2014-07-19 09:15 UTC by Juan Hernández
Modified: 2016-02-10 19:09 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-13 14:38:44 UTC
oVirt Team: Infra
rule-engine: ovirt-3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
Patch to work around Hibernate Validtor bug HV-861 (988 bytes, patch)
2014-07-19 09:24 UTC, Juan Hernández
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 21413 master ABANDONED [WIP] Adapt to WildFly 8.1 Never
JBoss Issue Tracker UNDERTOW-477 Major Resolved AJP connector discards anything after the first ";" in the request URL 2018-12-01 04:59:22 UTC
oVirt gerrit 30223 master MERGED Add spec file for WildFly 8 Never
oVirt gerrit 40149 master MERGED core: Fix used matchers in GetManagementNetworkCandidatesQueryTest Never
oVirt gerrit 40150 master MERGED restapi: Introduce current filter Never
oVirt gerrit 40151 master MERGED core: Fix CDI in dal module to work with EAP/WildFly Never
oVirt gerrit 40152 master MERGED core: Add support for WildFly Never
oVirt gerrit 40458 master ABANDONED core: Add @Vetoed implementation for CDI 1.0 Never
oVirt gerrit 40501 master MERGED core: Reformat ovirt-engine.xml.in Never
oVirt gerrit 40574 master ABANDONED Provide ovirt-engine-wildfly-overlay package Never

Description Juan Hernández 2014-07-19 09:15:10 UTC
Currently the engine runs inside JBoss AS 7.1.1, which was released back in 2012 and didn't get any update since then. It has given good service, but it is time to update to WildFly 8, specially in order to unlock the potential of using CDI in all the components of the engine.

This update won't require big changes to most of the code, except in the following areas:

1. In the RESTAPI, where we are using some internal Resteasy classes. Those have mostly been solved already, replacing the internal Resteasy classes with standard ones.

2. In the script and configuration files used to start the application server.

I think that we can do this for the 3.6 release.

Comment 1 Juan Hernández 2014-07-19 09:17:32 UTC
The following patch contains the changes needed in the script and configuration files used to start the application server:

  http://gerrit.ovirt.org/21413

It is currently work in progress, but it is already usable.

Comment 2 Juan Hernández 2014-07-19 09:19:15 UTC
For RPM distributions where WildFly 8 isn't packaged we will need to package it or provide a simple re-packaging of the .zip distribution, like we currently do with JBoss AS 7:

  http://gerrit.ovirt.org/30223

Comment 3 Juan Hernández 2014-07-19 09:24:57 UTC
Created attachment 919244 [details]
Patch to work around Hibernate Validtor bug HV-861

Currently Hibernate Validator has a bug that prevents deployment of the backend:

  https://hibernate.atlassian.net/browse/HV-861

In order to work this around I had to apply the attached patch and rebuild it.

Comment 4 Juan Hernández 2015-01-22 14:45:14 UTC
Note that once the Hibernate Validator bug is fixed, the version included in WildFly has to be updated, and that won't be backported, so it won't happen before WildFly 8.3:

  https://issues.jboss.org/browse/WFLY-4280

Comment 5 Sandro Bonazzola 2015-03-05 13:13:32 UTC
Wildfly builder job created:​ http://jenkins.ovirt.org/search/?q=ovirt-engine-wildfly

Comment 6 Oved Ourfali 2015-04-07 11:26:56 UTC
Currently the plan is to support that in 3.6.0, making sure it doesn't break compatibility, while still supporting EAP. Research required on that.
Assigning to Martin to do this research, hoping the result won't require delaying this.

Comment 7 Roy Golan 2015-04-26 11:08:01 UTC
(In reply to Oved Ourfali from comment #6)
> Currently the plan is to support that in 3.6.0, making sure it doesn't break
> compatibility, while still supporting EAP. Research required on that.
> Assigning to Martin to do this research, hoping the result won't require
> delaying this.

what about the bug mentioned in comment #4? how is that handled?

Comment 8 Oved Ourfali 2015-04-26 11:10:53 UTC
(In reply to Roy Golan from comment #7)
> (In reply to Oved Ourfali from comment #6)
> > Currently the plan is to support that in 3.6.0, making sure it doesn't break
> > compatibility, while still supporting EAP. Research required on that.
> > Assigning to Martin to do this research, hoping the result won't require
> > delaying this.
> 
> what about the bug mentioned in comment #4? how is that handled?

Probably adding a module with the updated version, and ship it.

Comment 9 Roy Golan 2015-04-26 11:28:33 UTC
the module is hibernate-validator and is has its own dependency tree. that will create a very broken dep tree for that RPM. the intention is to pack jboss for ovirt?

Comment 10 Oved Ourfali 2015-04-26 11:39:02 UTC
(In reply to Roy Golan from comment #9)
> the module is hibernate-validator and is has its own dependency tree. that
> will create a very broken dep tree for that RPM. the intention is to pack
> jboss for ovirt?

No. We are testing it now. I guess Martin will let us know what he found and we'll proceed from there.

Comment 11 Juan Hernández 2015-06-22 11:31:45 UTC
The following Undertow issue may block this:

  AJP connector discards anything after the first ";" in the request URL
  https://issues.jboss.org/browse/UNDERTOW-477

Comment 12 JBoss JIRA Server 2015-06-22 13:59:52 UTC
Stuart Douglas <stuart.w.douglas@gmail.com> updated the status of jira UNDERTOW-477 to Resolved

Comment 13 Juan Hernández 2015-06-22 14:11:53 UTC
Martin, apparently this was solved in version 1.1.4.Final of Undertow, so you may want to try that version and, if it works, include it in the overlay package.

Comment 14 Max Kovgan 2015-06-28 14:13:06 UTC
ovirt-3.6.0-3 release

Comment 15 Sandro Bonazzola 2016-01-13 14:38:44 UTC
oVirt 3.6.0 has been released, closing current release


Note You need to log in before you can comment on or make changes to this bug.